View Bug Details

IDProjectCategoryView StatusLast Update
0001313DCP-o-matic[All Projects] Bugspublic2018-10-17 19:16
ReportercarlAssigned Tocarl 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.14.0Fixed in Version 
Summary0001313: Image files with greater than 8 bits per channel are always compressed down to 8-bits-per-channel
Description

I think it just needs MagickImageProxy::image to be extended to use ShortPixel if required; the tricky part is knowing the bit depth without reading the image into memory; probably needs to be found by the examiner and passed down that way. Otherwise you need to create a Magick::Image just to get the bit depth (it seems) which gets fiddly quite fast.

TagsNo tags attached.
Estimated work requiredUnknown

Activities

Carsten

2018-09-16 11:02

manager   ~0002679

is that in 2.13.x only? Does it mean DCP-o-matic does no handle >8bit images in their native bit depth?
What about 10 or 12 bit video files.?

  • Carsten

carl

2018-09-16 15:14

administrator   ~0002680

@carl or maybe just use FFmpeg.

carl

2018-09-16 15:15

administrator   ~0002681

It has never done > 8-bit image files in their native depth. Video files should be OK.

carl

2018-09-16 23:44

administrator   ~0002682

@carl: the existing FFmpeg code can load (e.g.) PNGs with no modification; the only question is how to sustain the existing image file / sequence behaviour. With FFmpegDecoder you get a 1-frame-length video.

Carsten

2018-09-17 13:30

manager   ~0002683

It has never done > 8-bit image files in their native depth.

But that would have been true for images sequences as well, as the notorious 12Bit XYZ, or DPX sequences?

Or, really only 'stills'?

  • Carsten

carl

2018-09-17 22:35

administrator   ~0002685

JPEG2000 image files are special-cased, but DPX, yes.

carl

2018-10-14 22:54

administrator   ~0002715

Should be fixed by using FFmpeg for images in 2.13.61 and above.

Bug History

Date Modified Username Field Change
2018-05-25 00:01 carl New Bug
2018-05-25 00:01 carl Assigned To => carl
2018-05-25 00:01 carl Status new => confirmed
2018-09-16 11:02 Carsten Note Added: 0002679
2018-09-16 15:14 carl Note Added: 0002680
2018-09-16 15:15 carl Note Added: 0002681
2018-09-16 23:44 carl Note Added: 0002682
2018-09-17 13:30 Carsten Note Added: 0002683
2018-09-17 22:35 carl Note Added: 0002685
2018-10-14 22:54 carl Status confirmed => resolved
2018-10-14 22:54 carl Resolution open => fixed
2018-10-14 22:54 carl Note Added: 0002715
2018-10-17 19:16 carl Status resolved => closed